#include <iostream>

#include "RtMidi.h"

using namespace std;

int main()
{
    RtMidiIn *midiin = 0;

    try {
        midiin = new RtMidiIn();
    } catch (RtMidiError &error) {
        error.printMessage();
        return -1;
    }

    unsigned int portCount = midiin->getPortCount();
    string portName;
    for (unsigned int i = 0; i < portCount; i++) {
        try {
            portName = midiin->getPortName(i);
        } catch (RtMidiError &error) {
            error.printMessage();
            return -1;
        }
        cout << "Input Port " << i << ": " << portName << endl;
    }

    RtMidiOut *midiout = 0;

    try {
        midiout = new RtMidiOut();
    } catch (RtMidiError &error) {
        error.printMessage();
        return -1;
    }

    portCount = midiout->getPortCount();

    for (unsigned int i = 0; i < portCount; i++) {
        try {
            portName = midiout->getPortName(i);
        } catch (RtMidiError &error) {
            error.printMessage();
            return -1;
        }
        cout << "Output Port " << i << ": " << portName << endl;
    }

    return 0;
}

